#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <limits.h>
#include <stdio.h>
#include <errno.h>
#include <string.h>

main(argc, argv)
  int argc;
  char * argv[];
{
  FILE * outf, * instrl, * incmnt;
  char sfile [1024];
  char cfile [1024];
  char c;
  char* cp;
  int incomment= 0;
  int lineno =0;

  if (argc < 2) {
    printf("Usage: join2f <path>\n");
    exit (0);
  }

  if ((instrl=fopen (argv[1], "r")) == NULL) {
    perror(argv[1]); exit(0);
  }
  if ((incmnt=fopen (argv[2], "r")) == NULL) {
    perror(argv[2]); exit(0);
  }
  if ((outf = fopen (argv[3], "w")) == NULL) {
    perror(argv[3]); exit(0);
  }


  while (1) {
    int j;
    cp = fgets(sfile,1024, instrl);
    if (cp == NULL) break;
    cp = fgets(cfile,1024, incmnt);
    lineno++;
    if (sfile[j= strlen(sfile)-1] == '\n') {
      sfile [j] = '\0';
    } else {
      printf("No linefeed in line %d in %s file\n", lineno, argv[1]);
    }
    strcat (sfile, cfile);
    fputs(sfile,outf);
    if (feof(instrl)) break;
  }
  fclose(instrl);
  fclose(incmnt);
  fclose (outf);
}
